/*
* 智能机浏览器版本信息:
*
*/
 	var browser={
    versions:function(){ 
           var u = navigator.userAgent, app = navigator.appVersion; 
           return {//移动终端浏览器版本信息 
                trident: u.indexOf('Trident') > -1, //IE内核
                presto: u.indexOf('Presto') > -1, //opera内核
                webKit: u.indexOf('AppleWebKit') > -1, //苹果、谷歌内核
                gecko: u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1, //火狐内核
                mobile: !!u.match(/AppleWebKit.*Mobile.*/)||!!u.match(/AppleWebKit/), //是否为移动终端
                ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
                android: u.indexOf('Android') > -1 || u.indexOf('Linux') > -1, //android终端或者uc浏览器
                iPhone: u.indexOf('iPhone') > -1 || u.indexOf('Mac') > -1, //是否为iPhone或者QQHD浏览器
                iPad: u.indexOf('iPad') > -1, //是否iPad
                webApp: u.indexOf('Safari') == -1 //是否web应该程序，没有头部与底部
            };
         }(),
         language:(navigator.browserLanguage || navigator.language).toLowerCase()
}
var config={};
config.g_url="http://player.kuwo.cn/webmusic/ipadinfo";
config.DT_URL="http://player.kuwo.cn/webmusic/sj/dtflagdate";
config.g_flag=1;
config.isLoading=false;
config.iosflag=-1;//1为首页树
config.g_maxw=1024;
config.g_minw=768;
config.iscache=3600000;
config.debug=1;
config.pageflag=0;//1为喜欢歌单页,2为本地列表
config.host="kwip://kwplayerhd/";//methodName?param=jsonString
config.editdting=0;//电台编辑标识
config.lasturl="";
config.divId="";
config.isplayhtml='<img src="img/isplay.png" style="display:none;"/>';
config.pagepn=100;
config.ipadver=2;
config.ipadpn=7;
config.tplaylst=[];
config.playstatus={};
config.isloadma=0;
config.lastjumpStr='';
config.ismyjump=false;
config.arpadinfo={}
config.stopBubble=function(e){
	if(window.event && window.event.cancelBubble){
		window.event.cancelBubble = true;
	} 
	if (e && e.stopPropagation){
		e.stopPropagation();
	}
}
var kuwo={
	jsonp:function(url,data,success,error){
		var add  = /\?/.test( url ) ? "&" : "?";
           var script =  document.createElement("script");
		script.jsonp = 1;
		var url = url + add + data;
           script.src = url;
		script.onload = script.onreadystatechange = function(){
             if( -[1,] || /loaded|complete/i.test(this.readyState)){
              kuwo.removeScript(script);
             }
           }
           script.onerror = function(){
		  	  requestErr();
              kuwo.removeScript(script);
           }
           var head = document.getElementsByTagName("head")[0];
           head.appendChild(script);
	},
	removeScript: function(script){
         if(typeof script.jsonp === "undefined" ){
			alert("请求出错");
         }
         if (script.clearAttributes) {
           script.clearAttributes();
         } else {
           script.onload = script.onreadystatechange = script.onerror = null;
         }
         script.parentNode.removeChild(script);
     }
}
function c_init(){
	loadServerConfig();
	showLocalLst('bdgc',1);
}
function stopEvent(e){
	config.stopBubble(e);
}
function commHideDiv(flag){
	window.scrollTo(0,0);
	if(flag==1){
		$("#ipadListId,#editBtnId,#bdwjjId").hide();
		$("#myCanId").show();
	}else if(2==flag){
		$("#myCanId,#editBtnId,#bdwjjId").hide();
		$("#ipadListId").show();
	}else if(3==flag){
		$("#myCanId,#editBtnId,#ipadListId").hide();
		$("#bdwjjId").show();
	}
}
//点击事件时告知客户端并存储参数
function myJump(jumpstr){
	config.lastjumpStr=jumpstr;
	var obj={};
	obj.url=encodeURIComponent(jumpstr);
	savegbvalue(obj,2);
}
function clearwebbg(){
	var html=[];
	for(var i=0;i<1000;i++){
		html[html.length]="&nbsp;<br/>";
	}
	$("#commbdhcId").html(html.join(""));
}
//显示本地歌曲
function showLocalLst(flag,g_flag){
	commHideDiv(1);
	clearwebbg();
	if(flag=='bdgc'){
		commgetlsttype(-1);
		//setTimeout(function(){
			var html=[];
			html[html.length]='<div class="listDiv">';
			html[html.length]='<a href="javascript:;" onclick="showDownPLst(1);" class="con_pho"><img src="img/downimg.png" width="160" height="160"/></a>';
			html[html.length]='<p class="mygp">我的缓存</p>';
			html[html.length]='</div>';
			html[html.length]='<div class="listDiv">';
			html[html.length]='<a href="javascript:;" onclick="showBdPLst(1)" class="con_pho"><img src="img/wjj.png" width="160" height="160"/></a>';
			html[html.length]='<p class="mygp">本地文件夹</p>';
			html[html.length]='</div>';
			$("#commbdhcId").html(html.join(""));
		//},50);
	}else if("list"==flag){
		commgetlsttype(1);
		getDataList(1);
	}else if(flag=='wxfd'){
		commgetlsttype(2);
		getDataList(2);
	}else if(flag=='wddt'){
		commgetlsttype(3);
		getDataList(3);
		config.editdting=0;
	}
	try{$("#"+config.last_tag)[0].className='';}catch(e){}
	try{$("#tag_"+flag)[0].className='aNow';}catch(e){}
	config.last_tag="tag_"+flag;
	if(config.ismyjump){
		config.ismyjump = false;
	}else{
		myJump('showLocalLst("'+flag+'")');
	}
}
function showDownPLst(flag){
	commHideDiv(2);
	if(1==flag){
		$("#downedSongPid").removeClass("aNow");
		$("#downingSongPid").addClass("aNow");
		commgetlsttype(5);
		getDataList(5);
	}else if(2==flag){
		$("#downingSongPid").removeClass("aNow");
		$("#downedSongPid").addClass("aNow");
		commgetlsttype(4);
		getDataList(4);
	}
	if(config.ismyjump){
		config.ismyjump = false;
	}else{
		myJump('showDownPLst("'+flag+'")');
	}
}
function showBdPLst(flag){
	commHideDiv(3);
	if(1==flag){
		$("#bdartId").removeClass("aNow");
		$("#bdsongId").addClass("aNow");
		commgetlsttype(6);
		getDataList(6);
	}else if(2==flag){
		$("#bdsongId").removeClass("aNow");
		$("#bdartId").addClass("aNow");
		commgetlsttype(7);
		getDataList(7);
	}
	if(config.ismyjump){
		config.ismyjump = false;
	}else{
		myJump('showBdPLst("'+flag+'")');
	}
}
//我喜欢的歌曲
function showWxfddqLst(g_flag){
	commgetlsttype(3);
	getfavorsongs();
}
function loadServerConfig(){
	$.ajax({
		'type' : 'GET',
		'url' : 'http://player.kuwo.cn/webmusic/common/config_ipad.jsp',
		'data' : "flag=1",
		'success' : loadConfig,
		'error' : Err
	});
}
function Err(){
}
function loadConfig(data){
	if(data!=""){
		var obj = eval('('+data+')');
		config.iscache=obj.iscache;
	}
}
//2为毫秒数
function getDate(flag){
  var dateTime=new Date();
  var yy=dateTime.getFullYear();
  var MM=dateTime.getMonth()+1;  //因为1月这个方法返回为0，所以加1
  var dd=dateTime.getDate();
  var week=dateTime.getDay();
  var hh=dateTime.getHours();
  if(flag==1){
  		return yy+""+MM+""+dd;
  }else if(flag==2){
	return dateTime.getTime();
  }
  return yy+""+MM+""+dd+""+hh;
}
function commgetlsttype(flag,pageflag){
	config.ptypeflag=flag;
	try{
		clearTimeout(config.autotime);
		config.isloadma=0;
	}catch(e){}
	var obj={};
	obj.listtype=flag;
	if(pageflag!=1){
		isdowningpage(obj);
	}
}
function notis(str){
	return '<img src="img/wuhuancun.png" class="wuhuancun"><p class="wup notis">'+str+'</p>';
}
//播放我的电台
function qcplaydt(dtstr,pic){
	var params=dtstr.split(",");
	var pic1 = "http://img1.kwcdn.kuwo.cn:81/star/tags"+params[2];
	var pic2 = "http://img1.kwcdn.kuwo.cn:81/star/tags"+params[3];
	var obj={"dtid":params[0],"dtname":params[1],"dtpic":pic};
	playdt(obj);
}
function getDtobjbyid(dtid){
	var G_dtobj=null;
	if(config.hisdtlst.dtlist || config.hisdtlst.dtlist.length>0){
		var len=config.hisdtlst.dtlist.length;
		for(var i=0;i<len;i++){
			var dtobj=config.hisdtlst.dtlist[i];
			if(dtobj.dtid==dtid){
				G_dtobj=dtobj;
				G_dtobj.listindex=i;
				break;
			}
		}
	}
	return G_dtobj;
}
//播放喜欢的歌单
function hisplaygedan(index){
	if(config.editdting){
		return;
	}
	var gdobj=config.g_gedanlst.gedanlist[index];
	config.playingpid=gdobj.pid;
	gdobj.index=0;
	var jsonstr=$.toJSON(gdobj);
	
	playgd(jsonstr);
	try{$("#gdplay"+config.lastplayingpid).hide();}catch(e){}
	try{$("#gdplay"+gdobj.pid).show();}catch(e){}
	config.lastplayingpid=gdobj.pid;
}
//喜欢歌单
function scgedan(){
	var pobj=config.scgdmlst;
	var jsonstr=$.toJSON(pobj);
	comm_sys_method(jsonstr,"sys_favor_songlist");
}
//通过pid得到歌单
function getGdbypid(arr,pid){
	var G_pobj=null;
	if(arr || arr.length>0){
		var len=arr.length;
		for(var i=0;i<len;i++){
			var pobj=arr[i];
			if(pobj.pid==pid){
				G_pobj=pobj;
				G_pobj.listindex=i;
				break;
			}
		}
	}
	return G_pobj;
}
//喜欢单曲
function scsong(flag,obj,e){
	var mobj=null;
	var G_Lst={};
	var index=$(obj).parent().index();
	mobj=config.tplaylst.musiclist[index];
	G_Lst.music=mobj;
	sys_favor_song(G_Lst);
	config.stopBubble(e);
}
function clickbtn(flag,type,index,e){
	var m={};
	if(type==7){
		var mobj=config.scgdmlst.musiclist[index];
		m.musicrid=mobj.id;
		m.name=mobj.name;
		m.artist=mobj.artist;
		m.album=mobj.album;
		m.artistid=mobj.artistid;
	}else if(type==21){
		var mobj=config.alubmmlst.musiclist[index];
		m.musicrid=mobj.id;
		m.name=mobj.name;
		m.artist=mobj.artist;
		m.artistid=mobj.artistid;
		m.album=config.alubmmlst.name;
	}else if(type==22){
		var mobj=config.phpmlst.musiclist[index];
		m.musicrid=mobj.id;
		m.name=mobj.name;
		m.artist=mobj.artist;
		m.album=mobj.album;
		m.artistid=mobj.artistid;
	}else if(type==23){
		var mobj=config.artmlst.musiclist[index];
		m=mobj;
	}else if(type==24){
		var mobj=config.dqsearchmlst.abslist[index];
		m.musicrid=mobj.MUSICRID.split("_")[1];
		m.name=mobj.NAME;
		m.artist=mobj.ARTIST;
		m.album=mobj.ALBUM;
		m.artistid=mobj.ARTISTID;
	}
	var wobj={};
	wobj.music=m;
	if(1==flag){//喜欢
		sys_favor_song(wobj);
	}else if(2==flag){
		fs(1,m.musicrid,m.name,e);
	}
	config.stopBubble(e);
}
//分享
function fs(flag,rid,name,e){
	if(rid==-1){
		rid="0";
	}
	if(rid.indexOf('MUSIC_')<0){
		rid="MUSIC_"+rid;
	}
	//var url="http://v.t.sina.com.cn/share/share.php?url="+encodeURIComponent("http://player.kuwo.cn/webmusic/play?mid="+rid)+"&title="+encodeURIComponent("时光荏苒，什么都会改变，却唯独音乐不会变，这首好听的《"+name+"》送给所有人(分享自@酷我音乐)。")+"&appkey=2972927130";
	var url="http://player.kuwo.cn/webmusic/fs/mobile/share_arpad.htm?rid="+rid+"&name="+encodeURIComponent(name);
	var obj={};
	obj.url=url;
	sys_fs(obj);
	config.stopBubble(e);
}
//通过rid得到对象
function hisMlstbyrid(arr,rid){
	var G_mobj=null;
	if(arr || arr.length>0){
		var len=arr.length;
		for(var i=0;i<len;i++){
			var mobj=arr[i];
			if(mobj.musicrid==rid){
				G_mobj=mobj;
				G_mobj.listindex=i;
				break;
			}
		}
	}
	return G_mobj;
}
//下载歌曲
function dsong(flag,obj,e){
	var mobj=null;
	var G_Lst={};
	var index=$(obj).parent().index();
	if(flag==1 || flag==2){
		mobj=config.tplaylst.musiclist[index];
	}
	G_Lst.musiclist=[mobj];
	downSong(G_Lst);
	config.stopBubble(e);
}
//删除我听过的
function delhissong(flag,obj,e,sflag){
	var mobj={};
	var index=0;
	if(sflag==1){
		index=$(obj).parent().parent().parent().parent().index()-1;	
	}else{
		index=$(obj).parent().index();
	}
	mobj.listtype=flag;
	mobj.index=index;
	dellistsong(mobj);
	config.stopBubble(e);
}
//删除电台
function hisdeldt(flag,obj){
	var mobj={};
	var index=$(obj).parent().index();
	mobj.listtype=flag;
	mobj.index=index;
	dellistsong(mobj);
}
//编辑电台列表
function editLstdt(){
	var delobjs = $('#commbdhcId span[del=dtdelname]');
	if(delobjs.length>0){
		if(config.editdting){
			delobjs.hide();
			$("#editdttextId").text("编辑");
			showLocalLst('wddt');
			config.editdting=0;
		}else{
			delobjs.show();
			if(config.playstatus.listtype==3 && config.ptypeflag==3){
				$("#commbdhcId .l_listfen").eq(config.playstatus.index).find(".isdel").hide();
			}
			$("#editdttextId").text("完成");
			config.editdting=1;
		}
	}
}
//播放电台
function hisplaydt(flag,obj){
	if(config.editdting)return;
	var dtobj={};
	var index=$(obj).parent().index();
	dtobj=config.tplaylst.dtlist[index];
	playdt(dtobj);
}
function selcheck(obj,e){
	$(obj).find("input").attr("checked",!$(obj).find("input").attr("checked"));
	var checkarr=$(obj).parent().parent().find("input");
	var isqs=true;
	for(var i=0;i<checkarr.length;i++){
		if(checkarr[i].checked==false){
			isqs=false;
			break;
		}
	}
	$(obj).parent().parent().prev().find("input").attr("checked",isqs);
	config.stopBubble(e);
}
function clearBubble(e){
	config.stopBubble(e);
}
//通用播放歌曲
function commplaysong(type,index,flag,playtype,e){
	var jsonstr="";
	var pobj={};
	//pobj.listtype=type;
	var G_mLst=new Array();
	if(type==7){
		//pobj.id=config.scgdmlst.id;
		if("dq"==playtype){
			var mobj=config.scgdmlst.musiclist[index];
			var m={};
			m.musicrid=mobj.id;
			m.name=mobj.name;
			m.artist=mobj.artist;
			m.album=mobj.album;
			m.artistid=mobj.artistid;
			G_mLst.push(m);
		}else{
			var inputarr=gedanObj.find(".con_right .con_rightlist input");
			for(var i=0;i<inputarr.length;i++){
				if(inputarr[i].checked==true){
					var mobj=config.scgdmlst.musiclist[inputarr[i].value];
					var m={};
					m.musicrid=mobj.id;
					m.name=mobj.name;
					m.artist=mobj.artist;
					m.album=mobj.album;
					m.artistid=mobj.artistid;
					G_mLst.push(m);
				}
			}	
		}
		pobj.musiclist=G_mLst;
	}else if(type==24){
		pobj.title=decodeURIComponent(config.keyobj.keyword);
		if("dq"==playtype){
			var mobj=config.dqsearchmlst.abslist[index];
			var m={};
			m.musicrid=mobj.MUSICRID.split("_")[1];
			m.name=mobj.NAME;
			m.artist=mobj.ARTIST;
			m.album=mobj.ALBUM;
			m.artistid=mobj.ARTISTID;
			G_mLst.push(m);
		}else{
			var inputarr=searchObj.find(".con_right .con_rightlist input");
			for(var i=0;i<inputarr.length;i++){
				if(inputarr[i].checked==true){
					var mobj=config.dqsearchmlst.abslist[inputarr[i].value];
					var m={};
					m.musicrid=mobj.MUSICRID.split("_")[1];
					m.name=mobj.NAME;
					m.artist=mobj.ARTIST;
					m.album=mobj.ALBUM;
					m.artistid=mobj.ARTISTID;
					G_mLst.push(m);
				}
			}
		}
		pobj.musiclist=G_mLst;
	}else if(type==23){
		if("dq"==playtype){
			var mobj=config.artmlst.musiclist[index];
			G_mLst.push(mobj);
		}else{
			var inputarr=artistObj.find(".con_right .con_rightlist input");
			for(var i=0;i<inputarr.length;i++){
				if(inputarr[i].checked==true){
					var mobj=config.artmlst.musiclist[inputarr[i].value];
					G_mLst.push(mobj);
				}
			}
		}
		pobj.musiclist=G_mLst;
	}else if(type==21){//专辑
		if("dq"==playtype){
			var mobj=config.alubmmlst.musiclist[index];
			var m={};
			m.musicrid=mobj.id;
			m.name=mobj.name;
			m.artist=mobj.artist;
			m.album=config.alubmmlst.name;
			m.artistid=mobj.artistid;
			G_mLst.push(m);
		}else{
			var inputarr=albumObj.find(".con_right .con_rightlist input");
			for(var i=0;i<inputarr.length;i++){
				if(inputarr[i].checked==true){
					var mobj=config.alubmmlst.musiclist[inputarr[i].value];
					var m={};
					m.musicrid=mobj.id;
					m.name=mobj.name;
					m.artist=mobj.artist;
					m.album=config.alubmmlst.name;
					m.artistid=mobj.artistid;
					G_mLst.push(m);
				}
			}
		}
		pobj.musiclist=G_mLst;
	}else if(type==22){
		if("dq"==playtype){
			var mobj=config.phpmlst.musiclist[index];
			var m={};
			m.musicrid=mobj.id;
			m.name=mobj.name;
			m.artist=mobj.artist;
			m.album=mobj.album;
			m.artistid=mobj.artistid;
			G_mLst.push(m);
		}else{
			var inputarr=$(".phb_con .con_right .con_rightlist input");
			for(var i=0;i<inputarr.length;i++){
				if(inputarr[i].checked==true){
					var mobj=config.phpmlst.musiclist[inputarr[i].value];
					var m={};
					m.musicrid=mobj.id;
					m.name=mobj.name;
					m.artist=mobj.artist;
					m.album=mobj.album;
					m.artistid=mobj.artistid;
					G_mLst.push(m);
				}
			}
		}
		pobj.musiclist=G_mLst;
	}
	if(!pobj.musiclist || pobj.musiclist.length==0){
		sys_toast("请选择歌曲");
		return;
	}
	if(1==flag){
		playSong(pobj);
	}else if(2==flag){
		addSong(pobj);
	}else if(3==flag){
		downSong(pobj);
	}
	config.stopBubble(e);
}
function callNative(json){
	if(window.kwmusichd){
		 window.kwmusichd.jsCallNative(json);
	}
}
function mycommplaysong(listtype,obj){
	var index=$(obj).index();
	var pobj={};
	pobj.listtype=listtype;
	pobj.index=index;
	myplaysong(pobj);
}
//拼默认列表的html
function wtgdhtml(start,end,flag){
	var html=[];
	for(var i=start;i<end;i++){
		var mobj=config.tplaylst.musiclist[i];
		var tmpcss="";
		if(i==(config.tplaylst.musiclist.length-1))tmpcss='style="border-bottom:1px dashed #D5D5D5;"'
		html[html.length]='<ul class="songLst leftsong" '+tmpcss+' onclick="mycommplaysong('+config.tplaylst.listtype+',this);" ontouchmove="commbtn(this,2);" ontouchstart="commbtn(this,1);" ontouchend="commbtn(this,2);">';
		html[html.length]='<li class="selsong">'+config.isplayhtml+'</li>';
		html[html.length]='<li class="tgsongname tselcomm">'+mobj.name+'</li>';
		html[html.length]='<li class="tgsongart tselcomm">'+mobj.artist+'</li>';
		if(mobj.album==""){
			html[html.length]='<li class="tgsongalbum tselcomm">未知</li>';
		}else{
			html[html.length]='<li class="tgsongalbum tselcomm">'+mobj.album+'</li>';
		}
		var tmpname=mobj.name.replace(/&#39;/g, "‘");
		html[html.length]='<li class="btnw" onclick="delhissong('+config.tplaylst.listtype+',this,event);" ontouchmove="commbtn(this,2,1,event);" ontouchstart="commbtn(this,1,1,event);" ontouchend="commbtn(this,2,1,event);"><img src="img/del.png" class="closeBtn"/></li>';		
		html[html.length]='<li class="btnw" onclick="fs(2,\''+mobj.musicrid+'\',\''+tmpname+'\',event);" ontouchmove="commbtn(this,2,1,event);" ontouchstart="commbtn(this,1,1,event);" ontouchend="commbtn(this,2,1,event);"><img src="img/fs.png" class="fsBtn"/></li>';
		if(2!=flag && 6!=flag){
			html[html.length]='<li class="btnw" onclick="scsong('+config.tplaylst.listtype+',this,event);" ontouchmove="commbtn(this,2,1,event);" ontouchstart="commbtn(this,1,1,event);" ontouchend="commbtn(this,2,1,event);"><img src="img/like.png" class="scBtn"/></li>';
		}
		if(4!=flag && 6!=flag){
			html[html.length]='<li class="btnw" style="'+config.showBtnFlag+'" onclick="dsong('+config.tplaylst.listtype+',this,event);" ontouchmove="commbtn(this,2,1,event);" ontouchstart="commbtn(this,1,1,event);" ontouchend="commbtn(this,2,1,event);"><img src="img/down.png" class="downBtn"/></li>';
		}
		html[html.length]='</ul>';
	}
	return html.join("");
}
//下载中
function downinghtml(start,end,flag){
	var html=[];
	if(flag!=1)
	html[html.length]='<div class="zx_subnav"><a herf="#@" ontouchmove="ysbtn(this,2);" ontouchstart="ysbtn(this,1);" ontouchend="ysbtn(this,2);" onclick="pldownks(\'control_dlclearall\')">全部清空</a><a herf="#@" ontouchmove="ysbtn(this,2);" ontouchstart="ysbtn(this,1);" ontouchend="ysbtn(this,2);" onclick="pldownks(\'control_dlpauseall\')">全部暂停</a><a herf="#@" ontouchmove="ysbtn(this,2);" ontouchstart="ysbtn(this,1);" ontouchend="ysbtn(this,2);" onclick="pldownks(\'control_dlstartall\')">全部开始</a></div>';
	for(var i=start;i<end;i++){
		var mobj=config.tplaylst.musiclist[i];
		var strblock="img/dengdai.png";
		var strts="队列中,点击可暂停缓存";
		var isdown="none";
		if(mobj.status==3){//下载中
			strblock="img/load.png";
			strts="正在缓存中...";
			isdown="block";
		}else if(mobj.status==2 || mobj.status==0){//下载失败
			strblock="img/cuowu.png";
			strts="出错,点击重试";
		}else if(mobj.status==1){//暂停下载
			strblock="img/zanting.png";
			strts="暂停中,点击可恢复缓存";
			isdown="block";
		}
		var g_album=mobj.album;
		var pw=$("#ipadcontextId").width()-29;
		var jdw=mobj.progress/100*pw;
		if(mobj.album=="")g_album="未知";
		html[html.length]='<div class="zx_load" onclick="dlaction(\''+mobj.musicrid+'\')" ontouchmove="commbtn(this,2);" ontouchstart="commbtn(this,1);" ontouchend="commbtn(this,2);">';
		html[html.length]='<div class="zx_loadlist">';
		html[html.length]='<div class="zx_loadcor">';
		html[html.length]='<img src="'+strblock+'" width="32" id="img_'+mobj.musicrid+'"/></div>';
		html[html.length]='<div class="zx_loaddec">';
		html[html.length]='<ul><li class="zx_songname">'+mobj.name+'</li><li class="zx_songer">'+mobj.artist+'</li><li class="zx_name">'+g_album+'</li><li class="zx_closed" onclick="delhissong('+config.tplaylst.listtype+',this,event,1);" ontouchmove="commbtn(this,2,1,event);" ontouchstart="commbtn(this,1,1,event);" ontouchend="commbtn(this,2,1,event);"><a href="#@"></a></li><li class="zx_jindu2" id="bl_'+mobj.musicrid+'">'+mobj.dlsize+'/'+mobj.totalsize+'</li><li class="zx_speed" id="sd_'+mobj.musicrid+'"></li></ul>';
		html[html.length]='<div class="zx_tishi" id="desc_'+mobj.musicrid+'">'+strts+'</div></div></div>';
		html[html.length]='<div class="zx_aboutjin" style="display:'+isdown+'"><p style="width:'+jdw+'px" id="jd_'+mobj.musicrid+'"></p></div></div>';
	}
	return html.join("");
}
function dlaction(id){
	var obj={};
	obj.musicrid=id;
	controlDlaction(obj);
}
function autoscroll(block){
	if(config.ptypeflag==1 || config.ptypeflag==2 || config.ptypeflag==4 || config.ptypeflag==6){//我听过的
		var len=config.tplaylst.musiclist.length;
		if(len>(config.wtgdsum+config.pagepn)){
			config.isloadma=1;
			$(config.divId).append(wtgdhtml(config.wtgdsum,(config.wtgdsum+config.pagepn),config.ptypeflag));
			config.wtgdsum=config.wtgdsum+config.pagepn;
			config.autotime=setTimeout(autoscroll,200);
		}else{
			$(config.divId).append(wtgdhtml(config.wtgdsum,len,config.ptypeflag));
			config.wtgdsum=config.wtgdsum+config.pagepn;
			try{clearTimeout(config.autotime)}catch(e){}
			config.isloadma=0;
			notify_playitemchanged(last_data);
		}
	}else{
		try{clearTimeout(config.autotime)}catch(e){}
		config.isloadma=0;
		notify_playitemchanged(last_data);
	}
}
var hoverTimeout=null;
var lastselobj=null;
function commbtn(obj,flag,sflag,e){
	if(1==flag){
		hoverTimeout=setTimeout(function () {
			if(lastselobj!=null)try{obj.style.background="none";}catch(e){}
			lastselobj=obj;
			obj.style.background="#E7E3E4";
		}, 80);
	}else if(2==flag){
		if(hoverTimeout!=null)clearTimeout(hoverTimeout);
		obj.style.background="none";
	}
	if(sflag==1){
		config.stopBubble(e);
	}
}
function ysbtn(obj,flag){
	if(1==flag){
		hoverTimeout=setTimeout(function () {
			if(lastselobj!=null)try{obj.style.background="#3BC4EE";}catch(e){}
			lastselobj=obj;
			obj.style.background="#FFC600";
		}, 80);
	}else if(2==flag){
		if(hoverTimeout!=null)clearTimeout(hoverTimeout);
		obj.style.background="#3BC4EE";
	}
}